Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class ClassFilter

    java.lang.Object
      org.hibernate.ejb.packaging.Filter
          org.hibernate.ejb.packaging.JavaElementFilter
              org.hibernate.ejb.packaging.ClassFilter

    public abstract class ClassFilter

extends JavaElementFilter

Filter on class elements

See Also:
  `JavaElementFilter`

Constructor Summary
`protected` | `ClassFilter(boolean retrieveStream, Class[] annotations)`

Method Summary

Methods inherited from class org.hibernate.ejb.packaging.JavaElementFilter
`accept, getAnnotations`

Methods inherited from class org.hibernate.ejb.packaging.Filter
`getStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassFilter

    protected ClassFilter(boolean retrieveStream,
                          Class[] annotations)

See Also:
  `JavaElementFilter.JavaElementFilter(boolean, Class[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.